/*
    TaskLib; a Commandline ConcurTaskTree Processing Tool (http://lumumba.luc.ac.be/kris/research/tasklib)
    Copyright (C) 2003  Kris Luyten (kris.luyten@luc.ac.be)
	                     Expertise Centre for Digital Media (http://edm.luc.ac.be)
								Limburgs Universitair Centrum

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of	the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/



package edm;

/**
  Assembles the static defs for the tags and other constants used by the Dygimes system
  @author Kris Luyten (kris.luyten@luc.ac.be)
**/

public class TagMapper{
	public final static String UI = "ui";
	public final static String TITLE = "title";
	public final static String GROUP = "group";
	public final static String WIDGET = "widget";
	public final static String NAME = "name";
	public final static String ROWS = "rows";
	public final static String COLUMNS = "columns";
	public final static String LABEL = "label";
	public final static String TEXTFIELD = "textfield";
	public final static String BUTTON = "button";
	public final static String STUBWIDGET="stubwidget";
	public final static String RANGE="range";
	public final static String MIN="min";
	public final static String MAX="max";
   public final static String START="start";
   public final static String TICK="tick";
	public final static String TEXT = "text";
	public final static String ACTION = "action";
	public final static String FUNCTION = "func";
	public final static String PARAMETER = "param";
	public final static String X = "x";
	public final static String Y = "y";
	public final static String NAVIGATIONBUTTON = "navigationbutton";
	public final static String CHOICE = "choice";
	public final static String TARGET = "class";
	public final static String SPLITTABLE = "splittable";
	public final static String VIDEOWIDGET = "videowidget";
	public final static String NOWIDGET = "nowidget"; 
	public final static String CANVAS="canvas";
	public final static String CANVAS2DPOINT="canvas2dpoint";
	public final static String ICON="icon";
	public final static String GRAPHIC="graphic";
	public final static String UPDATE="update";
	public final static String DATA="data";
	public final static String ITEM="item";
	public final static String CHECKED="checked";
	public final static String TYPE="type";
	public final static String SCRIPT="script";
	public final static String RANGEVALUE="rangevalue";
	public final static String INFO="info";	
	public final static String PORT = "port";
	public final static String TABLE="table";
	public final static String CONSTRAINTS = "constraints";
	public final static String CONSTRAINT = "constraint";
	public final static String INTERACTORNAME = "name";
	public final static String INTERACTOR = "interactor";
	public final static String SCREENSIZE = "screensize";
	public final static String WIDTH = "width";
	public final static String HEIGHT = "height";	

   public final static String PRESSTRUCTURE = "ps";
   public final static String PRIORITY = "priority";
        public final static String GAP = "gap";
	public final static String SIZE = "size";	

	public final static String ACTIONHANDLER = "actionhandler";
        
   public final static String INTERACTION_BINDING = "interaction_binding"; //used for parsing XML desription
		
	public final static String PARAM="param";
	public final static String DIRECT="direct";
	public final static String XMLRPC="xmlrpc";
	public final static String ICOMP="icomp";
	public final static String SOAP="soap"; 
	public final static String TTS="tts"; 
	public final static String TRIGGER="trigger";
}
