/*
    TaskLib; a Commandline ConcurTaskTree Processing Tool (http://lumumba.luc.ac.be/kris/research/tasklib)
    Copyright (C) 2003  Kris Luyten (kris.luyten@luc.ac.be)
	                     Expertise Centre for Digital Media (http://edm.luc.ac.be)
								Limburgs Universitair Centrum

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of	the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/


package edm.navigation.concurtasktree;

import java.io.OutputStream;

/**
  * Represents an application task
  * @author <a href="mailto:kris.luyten@luc.ac.be">Kris Luyten</a>
  **/
public class ApplicationTaskStep extends CCTTStep{

	/**
	 * Constructor for ApplicationTaskStep
	 **/
	public ApplicationTaskStep(String id){
		super(id);
	}

	public String getCategory(){
		return CCTTSAXHandler.TASKTYPE_APPLICATION;
	}

	public ApplicationTaskStep(){
	}

	public void execute(){
	}

	public void write(OutputStream os){
		//DataOutputStream dout = new DataOutputStream(os);	
	}

}
